import request from '@/utils/request'

// 查询退役军人列表
export function listBasics(query) {
  return request({
    url: '/hj/basics/list',
    method: 'get',
    params: query
  })
}

// 查询退役军人详细
export function getBasics(basicsId) {
  return request({
    url: '/hj/basics/' + basicsId,
    method: 'get'
  })
}

// 新增退役军人
export function addBasics(data) {
  return request({
    url: '/hj/basics',
    method: 'post',
    data: data
  })
}

// 修改退役军人
export function updateBasics(data) {
  return request({
    url: '/hj/basics',
    method: 'put',
    data: data
  })
}

// 删除退役军人
export function delBasics(basicsId) {
  return request({
    url: '/hj/basics/' + basicsId,
    method: 'delete'
  })
}

// 导出退役军人
export function exportBasics(query) {
  return request({
    url: '/hj/basics/export',
    method: 'get',
    params: query
  })
}


// 下载退役军人导入模板
export function importTemplate() {
  return request({
    url: '/hj/basics/importTemplate',
    method: 'get'
  })
}
